Package Details: virt-manager-qt5 0.42.67-1

Git Clone URL: https://aur.archlinux.org/virt-manager-qt.git (read-only)
Package Base: virt-manager-qt
Description: Qt5 Virtual Machine Manager provides a graphical tool for administering virtual machines for QEMU/KVM, Xen, and LXC and other Virtual Entities. Uses libvirt as the backend management API.
Upstream URL: https://github.com/F1ash/qt-virt-manager
Licenses: GPL2
Conflicts: virt-manager-qt4
Replaces: virt-manager-qt4
Submitter: Thaodan
Maintainer: madsciencecoder
Last Packager: madsciencecoder
Votes: 21
Popularity: 0.326131
First Submitted: 2015-02-15 14:09
Last Updated: 2017-04-06 17:58

Latest Comments

Kunda commented on 2017-10-18 11:32

Current git version is 0.45.75
@madsciencecoder ping

AJSlye commented on 2017-04-05 08:43

New version 0.42.67.
Compiles against qtermwidget from Arch repo, no need for git version.

dhs92 commented on 2017-03-30 00:39

[ 36%] Building CXX object CMakeFiles/qt5-virt-manager.dir/src/main.cpp.o
In file included from /tmp/yaourt-tmp-alex/aur-virt-manager-qt5/src/qt-virt-manager/src/vm_viewer/qterminal/termwidgetholder.h:5:0,
from /tmp/yaourt-tmp-alex/aur-virt-manager-qt5/src/qt-virt-manager/src/vm_viewer/qterminal/term_mainwindow.h:7,
from /tmp/yaourt-tmp-alex/aur-virt-manager-qt5/src/qt-virt-manager/src/vm_viewer/lxc/lxc_viewer.h:5,
from /tmp/yaourt-tmp-alex/aur-virt-manager-qt5/src/qt-virt-manager/src/mainwindow.h:22,
from /tmp/yaourt-tmp-alex/aur-virt-manager-qt5/src/qt-virt-manager/src/main.cpp:1:
/tmp/yaourt-tmp-alex/aur-virt-manager-qt5/src/qt-virt-manager/src/vm_viewer/qterminal/termwidget.h:4:25: fatal error: qtermwidget.h: No such file or directory
#include <qtermwidget.h>
^
compilation terminated.
make[2]: *** [CMakeFiles/qt5-virt-manager.dir/build.make:2341: CMakeFiles/qt5-virt-manager.dir/src/main.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:105: CMakeFiles/qt5-virt-manager.dir/all] Error 2
make: *** [Makefile:128: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build .


Receiving this error when building using Yaourt.

forlorn commented on 2017-03-02 00:21

qtermwidget-git has been removed from AUR, please refer to community/qtermwidget. I bumped my local build snapshot to 0.39.60 and it builds just fine.

madsciencecoder commented on 2016-09-26 01:05

@chash

pkg-config is part of the base-devel group which is assumed to be installed for anyone using the AUR. See https://wiki.archlinux.org/index.php/Arch_User_Repository#Prerequisites. Quote: "Note: Packages in the AUR assume that the base-devel group is installed, i.e. they do not list the group's members as dependencies explicitly."

chash commented on 2016-09-20 20:06

Please add pkg-config to make dependencies, without this package building interrupts with following error:

-- Could NOT find PkgConfig (missing: PKG_CONFIG_EXECUTABLE)
-- Could NOT find PkgConfig (missing: PKG_CONFIG_EXECUTABLE)
CMake Error at /usr/share/cmake-3.6/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
Could NOT find GLib2 (missing: GLib2_INCLUDE_DIR)
Call Stack (most recent call first):
/usr/share/cmake-3.6/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
cmake/FindGLib2.cmake:33 (find_package_handle_standard_args)
CMakeLists.txt:859 (find_package)

laurelindorien commented on 2016-07-22 14:58

Latest qt5-virt-manager seems to require libvncserver too as dependency. Without this the compilation kept erroring out with cmake set to NOTFOUND LIBVNCCLIENT_INCLUDE_DIR.

brando56894 commented on 2016-04-10 21:36

x11-ssh-askpass is also needed for SSH connections.

MaJia321 commented on 2016-03-21 06:31

Please add qt5-multimedia to makedepens
THX

brando56894 commented on 2016-03-03 19:05

did you install qtermwidget-git?

All comments